## org.hibernate.ejb.criteria.expression
Class SubqueryComparisonModifierExpression<Y>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Y>
                      org.hibernate.ejb.criteria.expression.SubqueryComparisonModifierExpression<Y>

All Implemented Interfaces:
  Serializable, Expression<Y>, Selection<Y>, TupleElement<Y>, ExpressionImplementor<Y>, ParameterContainer, Renderable, SelectionImplementor<Y>, TupleElementImplementor<Y>

    public class SubqueryComparisonModifierExpression<Y>

extends ExpressionImpl<Y>
implements Serializable

Represents a `SubqueryComparisonModifierExpression.Modifier.ALL`, `SubqueryComparisonModifierExpression.Modifier.ANY`, `SubqueryComparisonModifierExpression.Modifier.SOME` modifier appplied to a subquery as part of a comparison.

See Also:
  Serialized Form

Nested Class Summary
`static class` `SubqueryComparisonModifierExpression.Modifier`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`SubqueryComparisonModifierExpression(CriteriaBuilderImpl criteriaBuilder, Class<Y> javaType, Subquery<Y> subquery, SubqueryComparisonModifierExpression.Modifier modifier)`

Method Summary
`SubqueryComparisonModifierExpression.Modifier` `getModifier()`
`Subquery<Y>` `getSubquery()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### SubqueryComparisonModifierExpression

    public SubqueryComparisonModifierExpression(CriteriaBuilderImpl criteriaBuilder,
                                                Class<Y> javaType,
                                                Subquery<Y> subquery,
                                                SubqueryComparisonModifierExpression.Modifier modifier)

Method Detail

### getModifier

    public SubqueryComparisonModifierExpression.Modifier getModifier()

### getSubquery

    public Subquery<Y> getSubquery()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.